#!/usr/bin/make -f

PKG := $(shell dh_listpackages)
TMP := $(CURDIR)/debian/$(PKG)

%:
	dh $@

override_dh_auto_install:
	dh_auto_install

	# remove empty manpages
	$(RM) -v $(TMP)/usr/share/man/man3/MooseX::Meta::TypeCoercion::Structured.3pm
	$(RM) -v $(TMP)/usr/share/man/man3/MooseX::Meta::TypeCoercion::Structured::Optional.3pm
	$(RM) -v $(TMP)/usr/share/man/man3/MooseX::Meta::TypeConstraint::Structured::Optional.3pm
	$(RM) -v $(TMP)/usr/share/man/man3/MooseX::Types::Structured::MessageStack.3pm
	$(RM) -v $(TMP)/usr/share/man/man3/MooseX::Types::Structured::OverflowHandler.3pm
